package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;
import java.util.Date;

public class RatedDisabilityInfo extends ExternalComponent {

	private static final long serialVersionUID = 1010839502972616267L;

	//ZRD/2/Z11
	private String disability = null;

	//ZRD/3/Z11
	private Integer percentage = null;


	private Boolean serviceConnected = null;

	//ZRD/12/Z11
	private String diagnosticExtremity = null;

	//ZRD/13/Z11
	private String originalEffectiveRatingDate;

	//ZRD/14/Z11
	private String ratingDate;
    //16 fields
    private Date recordModifiedDate = null;
    //TBD
    private String disabilityCode = null;


	public String getDiagnosticExtremity() {
		return diagnosticExtremity;
	}

	public void setDiagnosticExtremity(String diagnosticExtremity) {
		this.diagnosticExtremity = diagnosticExtremity;
	}

	public String getDisability() {
		return disability;
	}

	public void setDisability(String disability) {
		this.disability = disability;
	}

	public String getOriginalEffectiveRatingDate() {
		return originalEffectiveRatingDate;
	}

	public void setOriginalEffectiveRatingDate(String originalEffectiveRatingDate) {
		this.originalEffectiveRatingDate = originalEffectiveRatingDate;
	}

	public Integer getPercentage() {
		return percentage;
	}

	public void setPercentage(Integer percentage) {
		this.percentage = percentage;
	}

	public String getRatingDate() {
		return ratingDate;
	}

	public void setRatingDate(String ratingDate) {
		this.ratingDate = ratingDate;
	}

	public Boolean getServiceConnected() {
		return serviceConnected;
	}

	public void setServiceConnected(Boolean serviceConnected) {
		this.serviceConnected = serviceConnected;
	}

    public String getDisabilityCode() {
        return disabilityCode;
    }

    public void setDisabilityCode(String disabilityCode) {
        this.disabilityCode = disabilityCode;
    }

    public Date getRecordModifiedDate() {
        return recordModifiedDate;
    }

    public void setRecordModifiedDate(Date recordModifiedDate) {
        this.recordModifiedDate = recordModifiedDate;
    }

}
